AI リテイク//
- AI Retake タスクを実行します。
AI Retake の顔検出タスクを実行します。
AI Retake の顔検出タスクのステータスを確認します。
AI Retake タスクのステータスを確認します。
AI Retake タスクを実行します。
AI タスクは非同期です。機能ごとに Webhook がサポートされている場合は、Webhook による完了処理を優先します。Webhook エンドポイントを設定し、Webhook 署名を検証したうえで、success または error の通知が来たら、受け取った task_id を使ってタスクの結果を照会します。設定と検証の詳細は Webhook 統合ガイド を参照してください。
Webhook がサポートされていない場合、または統合に使えない場合は、ポーリングを実装します。AI タスクを送信した後、一定の間隔(例:10 秒ごと)でステータスエンドポイントをポーリングし、success または error になるまで待ちます。
セキュリティ
BearerAuthenticationV2
Any of:
ユーザー写真で検出された各顔を、どの参照画像の顔で置き換えるか指定します。n 番目の要素は、左から数えて n 番目の顔に適用されます。写真に 1 人しか写っていない場合も必須です。各写真に 1 人ずつ写っている場合は [{"index": 0, "position": 0}] を使用してください。
例:
[ { "index": 0, "position": 0 } ]
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/retake
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/retake \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"ref_file_urls": [
"https://example.com/accessory.jpg"
],
"face_mapping": [
{
"index": 0,
"position": 0
}
]
}'レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }